tvbrowser.extras.favoritesplugin.wizards

## Interface WizardStep

- All Known Implementing Classes:
    AbstractWizardStep, ExcludeWizardStep, FinishWizardStep, LimitationsWizardStep, NotificationWizardStep, RenameWizardStep, TypeWizardStep

      public interface WizardStep

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BUTTON_BACK`
    `static int` | `BUTTON_CANCEL`
    `static int` | `BUTTON_DONE`
    `static int` | `BUTTON_NEXT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `WizardStep` | `back()`
    `java.lang.Object` | `createDataObject(java.lang.Object obj)`
    `int[]` | `getButtons()`
    `javax.swing.JPanel` | `getContent(WizardHandler handler)`
    `java.lang.String` | `getDoneBtnText()`
    `java.lang.String` | `getTitle()`
    `boolean` | `isSingleStep()`
    `boolean` | `isValid()`
    `WizardStep` | `next()`

- - ### Field Detail

    - #### BUTTON_NEXT

          static final int BUTTON_NEXT

      See Also:
        Constant Field Values

    - #### BUTTON_DONE

          static final int BUTTON_DONE

      See Also:
        Constant Field Values

    - #### BUTTON_BACK

          static final int BUTTON_BACK

      See Also:
        Constant Field Values

    - #### BUTTON_CANCEL

          static final int BUTTON_CANCEL

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getButtons

          int[] getButtons()

    - #### getTitle

          java.lang.String getTitle()

    - #### getContent

          javax.swing.JPanel getContent(WizardHandler handler)

    - #### createDataObject

          java.lang.Object createDataObject(java.lang.Object obj)

    - #### next

          WizardStep next()

    - #### back

          WizardStep back()

    - #### isValid

          boolean isValid()

    - #### getDoneBtnText

          java.lang.String getDoneBtnText()

    - #### isSingleStep

          boolean isSingleStep()

      Returns:
        true, if this Step is a Single Step and no Back/Forward is needed

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)